Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 669562 - dev-libs/amdgpu-pro-opencl-18.50 version bump
Summary: dev-libs/amdgpu-pro-opencl-18.50 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 2 votes (vote)
Assignee: Marek Szuba
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-25 09:16 UTC by Jan Ziak (http://atom-symbol.net)
Modified: 2019-05-25 21:12 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Update release with OS version variable (amdgpu-pro-opencl-18.50.patch,1.00 KB, patch)
2018-12-14 18:29 UTC, xdarma
Details | Diff
amdgpu-pro-opencl-17.50.552542.ebuild (amdgpu-pro-opencl-18.50.708488.ebuild,1.82 KB, text/plain)
2019-01-15 01:13 UTC, Michael Crawford (ali3nx)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Ziak (http://atom-symbol.net) 2018-10-25 09:16:43 UTC
18.40.676022/673869 has been released: https://www.amd.com/en/support/kb/release-notes/rn-prorad-lin-18-40
Comment 1 Craig Andrews gentoo-dev 2018-12-12 05:12:52 UTC
Reassigning to current maintainer
Comment 2 Craig Andrews gentoo-dev 2018-12-14 17:49:17 UTC
18.50 has been released: https://www.amd.com/en/support/kb/release-notes/rn-rad-lin-18-50-unified
Comment 3 xdarma 2018-12-14 18:29:17 UTC
Created attachment 557786 [details, diff]
Update release with OS version variable

It's a patch for testing, please check before use.
Comment 4 Chris Faulkner 2019-01-07 04:16:05 UTC
(In reply to xdarma from comment #3)
> Created attachment 557786 [details, diff] [details, diff]
> Update release with OS version variable
> 
> It's a patch for testing, please check before use.

I keep trying to work on this patch but it fails upon verify. I've downloaded the driver from ati but it won't pass the ebuild.
Comment 5 Michael Crawford (ali3nx) 2019-01-15 01:10:08 UTC
(In reply to Chris Faulkner from comment #4)
> (In reply to xdarma from comment #3)
> > Created attachment 557786 [details, diff] [details, diff] [details, diff]
> > Update release with OS version variable
> > 
> > It's a patch for testing, please check before use.
> 
> I keep trying to work on this patch but it fails upon verify. I've
> downloaded the driver from ati but it won't pass the ebuild.

I managed to get the amdgpu-pro-opencl-18.50 ebuild installed with some help from repoman but the end result using this ebuild package version was consistent segfaults from two different versions of ethminer and xmr-stak when either gpu compute app attempted to compile the cl compute cache.

[2019-01-14 18:51:59] : Mining coin: cryptonight_heavy
[2019-01-14 18:51:59] : Compiling code and initializing GPUs. This will take a while...
xmr-stak.sh: line 1:  4842 Segmentation fault      (core dumped)

 m 19:00:38 ethminer ethminer 0.15.0
 m 19:00:38 ethminer Build: linux/release
start.sh: line 1:  4961 Segmentation fault      (core dumped)

 m 18:59:10 ethminer ethminer 0.17.0
 m 18:59:10 ethminer Build: linux/release
start.sh: line 1:  4912 Segmentation fault      (core dumped)

compute system has four amd RX series gpu's.

The amdgpu-pro-opencl-18.20.x build with xmr-stak has been computing invalid results for some time with cryptonight_heavy algo but this amdgpu-pro-opencl 18.50 build just flat out refuses to function.
Comment 6 Michael Crawford (ali3nx) 2019-01-15 01:13:17 UTC
Created attachment 561174 [details]
amdgpu-pro-opencl-17.50.552542.ebuild

full patched version ebuild
Comment 7 Peter Asplund 2019-02-08 23:16:07 UTC
(In reply to Mike Crawford (ali3nx) from comment #6)
> Created attachment 561174 [details]
> amdgpu-pro-opencl-17.50.552542.ebuild
> 
> full patched version ebuild

Did you manage to get everything working? It would be nice to get the newest version of amdgpu-pro-opencl into portage.
I think the name of the ebuild link is wrong though, it says 17.50.
Comment 8 Mark Zalavari 2019-04-16 11:32:10 UTC
Hi!

Are there any update on this project?

It seems older linux-firmware versions were dropped from the portage, so the 18.50 would be the only officially compatible amdgpu-pro version now.

I've installed this ebuild by hand, and I've got segmentation faults too.
I solved some of them by installing libdrm, but still have some. (For example clinfo is not working for me yet)

I guess this is the reason the work halted on this ebuild. Am I correct?

(sorry for my english)
Comment 9 Larry the Git Cow gentoo-dev 2019-05-25 21:12:36 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=57f6db34f6f6e016bda0670ccf09fb9684aebfd3

commit 57f6db34f6f6e016bda0670ccf09fb9684aebfd3
Author:     Marek Szuba <marecki@gentoo.org>
AuthorDate: 2019-05-25 21:09:57 +0000
Commit:     Marek Szuba <marecki@gentoo.org>
CommitDate: 2019-05-25 21:12:24 +0000

    dev-libs/amdgpu-pro-opencl: bump to 19.10.785425
    
    The customised libdrm, which was not necessary with 18.20, is back.
    Everything seems to work fine on my system, LuxMark consistently
    benchmarks 5-10 percent slower than with 18.20 though.
    
    Closes: https://bugs.gentoo.org/669326
    Closes: https://bugs.gentoo.org/669562
    
    Signed-off-by: Marek Szuba <marecki@gentoo.org>
    Package-Manager: Portage-2.3.66, Repoman-2.3.11

 dev-libs/amdgpu-pro-opencl/Manifest                |  1 +
 .../amdgpu-pro-opencl-19.10.785425.ebuild          | 99 ++++++++++++++++++++++
 2 files changed, 100 insertions(+)